=== debian/changelog ===
breeze-icons (4:5.68.0-0ubuntu1) focal; urgency=medium

  * Update Ignore-the-svg-files-in-.pc.patch
  * New upstream release (5.68.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 20:55:14 +0000
