## breeze-icons 5.74.0

=== debian/changelog ===
breeze-icons (4:5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 10:57:00 +0100

breeze-icons (4:5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 10:55:34 +0100

breeze-icons (4:5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:29:44 +0100

breeze-icons (4:5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:04:00 +0100

breeze-icons (4:5.70.0-1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - debhelper-compat = 12 for backports.
    - Do not run tests at build time.

 -- Rik Mills <rikmills@kde.org>  Sun, 07 Jun 2020 15:43:55 +0100

breeze-icons (4:5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * Update all instances of upstream repositories
    to kde.invent.org.
    - Update Homepage in control as projects page
      no longer exists.
    - Update Source in copyright to invent address.
    - Update Repository info in upstream metainfo.
  * Add bug tracking info to upstream metadata.
  * Bump debhelper compat to 13.

  [ Sandro Knauß ]
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update patch Ignore-the-svg-files-in-.pc. (Thanks Norbert Preining).

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:56:12 +0200

breeze-icons (4:5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)

  [ Rik Mills ]
  * New upstream release (5.70.0)
  * Update Ignore-the-svg-files-in-.pc.patch

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:29:34 +0100

breeze-icons (4:5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 12.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Update patch Ignore-the-svg-files-in-.pc.
  * Add Rules-Requires-Root field to control.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 00:58:18 +0200
