## breeze-icons 5.78.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,16 @@
 cmake_minimum_required(VERSION 3.5)
 
-set(KF5_VERSION "5.68.0") # handled by release scripts
+set(KF5_VERSION "5.78.0") # handled by release scripts
 project(BreezeIcons VERSION ${KF5_VERSION})
+
+# Disallow in-source build
+if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
+   message(FATAL_ERROR "Breeze Icons requires an out-of-source build. Please create a separate build directory and run 'cmake path_to_breeze_icons [options]' there.")
+endif()
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 5.68.0  NO_MODULE)
+find_package(ECM 5.78.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -17,7 +22,34 @@
 include(GtkUpdateIconCache)
 
 # Dependencies
-set(REQUIRED_QT_VERSION 5.12.0)
+set(REQUIRED_QT_VERSION 5.14.0)
+
+# Find Python 3
+find_package (Python 3 COMPONENTS Interpreter)
+
+# FIXME: This is a temporary solution to unbreak KDE's Windows CI.
+# Remove "NOT WIN32" when icon generation works on Windows.
+if(Python_FOUND AND NOT WIN32)
+    # Find lxml Python 3 module
+    exec_program(${Python_EXECUTABLE}
+        ARGS "-c \"import lxml; print(lxml.get_include())\""
+        RETURN_VALUE LXML_NOT_FOUND # Returns 0 or false if successful
+    )
+
+    # Generating icons is not required, but strongly recommended in most cases
+    if(LXML_NOT_FOUND)
+        message(WARNING "lxml not found; icon generation disabled")
+        set(WITH_ICON_GENERATION OFF)
+    else()
+        option(WITH_ICON_GENERATION "Icon generation" ON)
+    endif()
+else()
+    set(WITH_ICON_GENERATION OFF)
+endif()
+
+add_feature_info("Icon generation" ${WITH_ICON_GENERATION} "for 24x24 icons.
+   This feature requires Python 3 and the lxml Python 3 module."
+) # The exact amount of indentation used in the line(s) above is intentional
 
 # When cross-compiling, we should compile qrcAlias natively (against a native Qt build)
 if (CMAKE_CROSSCOMPILING)
@@ -39,6 +71,13 @@
     set(RESOURCE_FILE ${RESOURCES_WORKING_DIR}/breeze-${target}.qrc)
     set(BINARY_RESOURCE_FILE ${CMAKE_CURRENT_BINARY_DIR}/breeze-${target}.rcc)
 
+    # Use $<IF:$<BOOL:${MSVC}>,PATH,LD_LIBRARY_PATH> instead of ${pathVarName} once CMake 3.8 is minimum
+    if(MSVC)
+        set(pathVarName PATH)
+    else()
+        set(pathVarName LD_LIBRARY_PATH)
+    endif()
+
     get_target_property(QT_RCC_EXECUTABLE Qt5::rcc LOCATION)
 
     add_custom_target(breeze-${target}-mkdir
@@ -53,7 +92,7 @@
             ${RESOURCES_WORKING_DIR}/CMakeLists.txt
         COMMAND ${QT_RCC_EXECUTABLE} --project -o ${CMAKE_CURRENT_BINARY_DIR}/tmp.qrc
         COMMAND ${CMAKE_COMMAND} -E env
-            $<IF:$<BOOL:${MSVC}>,PATH,LD_LIBRARY_PATH>=$<TARGET_FILE_DIR:Qt5::Core>
+            ${pathVarName}=$<TARGET_FILE_DIR:Qt5::Core>
             $<TARGET_FILE:qrcAlias> -i ${CMAKE_CURRENT_BINARY_DIR}/tmp.qrc -o ${RESOURCE_FILE}
 
         WORKING_DIRECTORY ${RESOURCES_WORKING_DIR}
@@ -74,10 +113,6 @@
 endif()
 
 if(NOT WIN32)
-    # generate-24px in subdirs.
-    find_program(BASH_EXE bash)
-    add_feature_info("24x24 generation" BASH_EXE "'bash' is required to generate 24x24 variants")
-
     # validate
     find_program(SH_EXE sh)
     find_program(XMLLINT_EXE xmllint)
@@ -88,12 +123,14 @@
         # not just by accident if the build directory is a subdir of the root source dir
         add_custom_target(breeze-validate-svg ALL
             COMMENT "Validating SVG"
-            COMMAND ${SH_EXE} ${CMAKE_SOURCE_DIR}/validate_svg.sh
-            WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
+            COMMAND ${SH_EXE} ${CMAKE_SOURCE_DIR}/validate_svg.sh ${CMAKE_CURRENT_SOURCE_DIR}
+            WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
             SOURCES ${SVGS} ${DARK_SVGS}
         )
     endif()
 endif()
+
+add_definitions(-DQT_NO_FOREACH)
 
 add_subdirectory(autotests)
 add_subdirectory(icons)
