=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,3 @@
 	rm debian/breeze-icon-theme/usr/share/icons/*/*.rcc
 	find $(CURDIR)/debian/breeze-icon-theme -type d -print0 |xargs -0 rmdir --ignore-fail-on-non-empty
 	bash $(CURDIR)/debian/symlink_duplicates.sh $(CURDIR)/debian/breeze-icon-theme $(CURDIR)/debian/breeze-icon-theme/usr/share/icons
-
-override_dh_auto_test:
-	# Disable dh_auto_test at build time
-	:
