=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
            Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.78.0~),
+               extra-cmake-modules (>= 5.80.0~),
                fdupes,
                libxml2-utils,
                pkg-kde-tools,
-               qtbase5-dev (>= 5.14.0~)
+               qtbase5-dev (>= 5.14.0~),
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/breeze-icons
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/breeze-icons
@@ -20,7 +20,8 @@
 Package: breeze-icon-theme
 Architecture: all
 Multi-Arch: foreign
-Depends: hicolor-icon-theme, ${misc:Depends}
+Depends: hicolor-icon-theme,
+         ${misc:Depends},
 Description: Default Plasma icon theme
  This is the default icon theme for the KDE Plasma 5 desktop.
  .
