## breeze-icons 5.92.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.16)
 
-set(KF5_VERSION "5.78.0") # handled by release scripts
-project(BreezeIcons VERSION ${KF5_VERSION})
+set(KF_VERSION "5.92.0") # handled by release scripts
+project(BreezeIcons VERSION ${KF_VERSION})
 
 # Disallow in-source build
 if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
@@ -10,7 +10,7 @@
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 5.78.0  NO_MODULE)
+find_package(ECM 5.92.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -18,11 +18,12 @@
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
+include(KDEGitCommitHooks)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(GtkUpdateIconCache)
 
 # Dependencies
-set(REQUIRED_QT_VERSION 5.14.0)
+set(REQUIRED_QT_VERSION 5.15.2)
 
 # Find Python 3
 find_package (Python 3 COMPONENTS Interpreter)
@@ -32,13 +33,13 @@
 if(Python_FOUND AND NOT WIN32)
     # Find lxml Python 3 module
     exec_program(${Python_EXECUTABLE}
-        ARGS "-c \"import lxml; print(lxml.get_include())\""
+        ARGS "-c \"import lxml; from lxml import etree; print(lxml.get_include())\""
         RETURN_VALUE LXML_NOT_FOUND # Returns 0 or false if successful
     )
 
     # Generating icons is not required, but strongly recommended in most cases
     if(LXML_NOT_FOUND)
-        message(WARNING "lxml not found; icon generation disabled")
+        message(WARNING "lxml or lxml.etree not found; icon generation disabled")
         set(WITH_ICON_GENERATION OFF)
     else()
         option(WITH_ICON_GENERATION "Icon generation" ON)
@@ -62,9 +63,9 @@
 option(SKIP_INSTALL_ICONS "Skip installing the icons files" OFF)
 
 if(BINARY_ICONS_RESOURCE)
-    find_package(Qt5 NO_MODULE REQUIRED Core)
+    find_package(Qt${QT_MAJOR_VERSION} NO_MODULE REQUIRED Core)
     add_executable(qrcAlias qrcAlias.cpp)
-    target_link_libraries(qrcAlias PUBLIC Qt5::Core)
+    target_link_libraries(qrcAlias PUBLIC Qt${QT_MAJOR_VERSION}::Core)
 
 function(generate_binary_resource target outfile)
     set(RESOURCES_WORKING_DIR ${CMAKE_CURRENT_BINARY_DIR}/res)
@@ -78,7 +79,7 @@
         set(pathVarName LD_LIBRARY_PATH)
     endif()
 
-    get_target_property(QT_RCC_EXECUTABLE Qt5::rcc LOCATION)
+    get_target_property(QT_RCC_EXECUTABLE Qt${QT_MAJOR_VERSION}::rcc LOCATION)
 
     add_custom_target(breeze-${target}-mkdir
         COMMAND ${CMAKE_COMMAND} -E make_directory ${RESOURCES_WORKING_DIR}
@@ -92,7 +93,7 @@
             ${RESOURCES_WORKING_DIR}/CMakeLists.txt
         COMMAND ${QT_RCC_EXECUTABLE} --project -o ${CMAKE_CURRENT_BINARY_DIR}/tmp.qrc
         COMMAND ${CMAKE_COMMAND} -E env
-            ${pathVarName}=$<TARGET_FILE_DIR:Qt5::Core>
+            ${pathVarName}=$<TARGET_FILE_DIR:Qt${QT_MAJOR_VERSION}::Core>
             $<TARGET_FILE:qrcAlias> -i ${CMAKE_CURRENT_BINARY_DIR}/tmp.qrc -o ${RESOURCE_FILE}
 
         WORKING_DIRECTORY ${RESOURCES_WORKING_DIR}
@@ -112,7 +113,7 @@
 endfunction()
 endif()
 
-if(NOT WIN32)
+if(NOT WIN32 AND NOT CMAKE_CROSSCOMPILING)
     # validate
     find_program(SH_EXE sh)
     find_program(XMLLINT_EXE xmllint)
@@ -130,10 +131,11 @@
     endif()
 endif()
 
-add_definitions(-DQT_NO_FOREACH)
 
 add_subdirectory(autotests)
 add_subdirectory(icons)
 add_subdirectory(icons-dark)
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES INCLUDE_QUIET_PACKAGES)
+
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
