=== debian/changelog ===
breeze-icons (4:5.92.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.92.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 16 Mar 2022 16:25:00 +0000

breeze-icons (4:5.91.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.91.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 14 Feb 2022 17:06:26 +0000

breeze-icons (4:5.90.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.90.0)
  * Drop included upstream patches.
  * Do not fail on build time tests. Upstream CI is failing as well.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 16:44:36 +0000

breeze-icons (4:5.89.0-0ubuntu2) jammy; urgency=medium

  * Apply patches requested by upstream KDE:
    - Add upstream_05f11af4.patch
    - Add upstream_08bf45db.patch
    - Drop revert-icon-errors patch. diff included upstream patches.

 -- Rik Mills <rikmills@kde.org>  Mon, 27 Dec 2021 18:28:21 +0000

breeze-icons (4:5.89.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.89.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 12 Dec 2021 15:14:12 +0000

breeze-icons (4:5.88.0-2ubuntu1) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 18:09:09 +0000

breeze-icons (4:5.88.0-2) unstable; urgency=medium

  * Revert changes that trigger upstream bug 445518
    "KDE Plasma doesn't respect icon theme for some applications and
     application icons"

 -- Norbert Preining <norbert@preining.info>  Sun, 21 Nov 2021 08:39:42 +0900

breeze-icons (4:5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:37 +0900
