=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,15 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DBINARY_ICONS_RESOURCE=ON
+
+override_dh_auto_test:
+	-dh_auto_test
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/breeze-icon-theme
