=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,6 @@
 override_dh_auto_configure:
 	dh_auto_configure -- -DBINARY_ICONS_RESOURCE=ON
 
-override_dh_auto_test:
-	-dh_auto_test
-
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/breeze-icon-theme
