=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.104.0~),
+               extra-cmake-modules (>= 5.107.0~),
                fdupes,
                libxml2-utils,
                pkg-kde-tools,
